#![feature(test)]

extern crate test;

#[cfg(test)]
mod tests {
    use syrac_score::flight::Flight;
    use test::Bencher;

    #[bench]
    fn bench_read_igc(b: &mut Bencher) {
        let contents = include_str!("../data/2024-pwca-monroe-t3-33.igc");
        b.iter(|| Flight::from_igc_contents(contents));
    }
}
